/// Copyright (c) 2022 Ivan Territo
///
/// Permission is hereby granted, free of charge, to any person obtaining a copy
/// of this software and associated documentation files (the "Software"), to deal
/// in the Software without restriction, including without limitation the rights
/// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
/// copies of the Software, and to permit persons to whom the Software is
/// furnished to do so, subject to the following conditions:
///
/// The above copyright notice and this permission notice shall be included in all
/// copies or substantial portions of the Software.
///
/// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
/// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
/// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
/// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
/// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
/// SOFTWARE.

import 'package:buttons_showcase/models/social.dart';
import 'package:buttons_showcase/utils/colors.dart';

Map<String, Social> listSocial = {
  "amazon": Social("Amazon", amazonColor, blackColor,
      ["assets/icons/amazon.png", "assets/icons/amazon_full.png", "assets/icons/amazon_aws.png"]),
  "apple": Social("Apple", appleColor, whiteColor,
      ["assets/icons/apple.png", "assets/icons/apple_full.png", "assets/icons/apple_outline.png"]),
  "discord": Social("Discord", discordColor, whiteColor,
      ["assets/icons/discord.png", "assets/icons/discord_full.png", "assets/icons/discord_outline.png"]),
  "facebook": Social("Facebook", facebookColor, whiteColor,
      ["assets/icons/facebook.png", "assets/icons/facebook_full.png", "assets/icons/facebook_outline.png"]),
  "github": Social("GitHub", githubColor, whiteColor,
      ["assets/icons/github.png", "assets/icons/github_full.png", "assets/icons/github_outline.png"]),
  "instagram": Social("Instagram", instagramColor, whiteColor,
      ["assets/icons/instagram_full.png", "assets/icons/instagram_outline.png"]),
  "linkedin": Social("LinkedIn", linkedinColor, whiteColor,
      ["assets/icons/linkedin.png", "assets/icons/linkedin_full.png", "assets/icons/linkedin_outline.png"]),
  "microsoft": Social("Microsoft", microsoftColor, whiteColor,
      ["assets/icons/microsoft.png", "assets/icons/microsoft_outline.png"]),
  "pinterest": Social("Pinterest", pinterestColor, whiteColor,
      ["assets/icons/pinterest.png", "assets/icons/pinterest_full.png", "assets/icons/pinterest_outline.png"]),
  "snapchat": Social("Snapchat", snapchatColor, blackColor,
      ["assets/icons/snapchat.png", "assets/icons/snapchat_full.png", "assets/icons/snapchat_outline.png"]),
  "spotify": Social("Spotify", spotifyColor, whiteColor,
      ["assets/icons/spotify.png", "assets/icons/spotify_outline.png"]),
  "telegram": Social("Telegram", telegramColor, whiteColor,
      ["assets/icons/telegram.png", "assets/icons/telegram_full.png", "assets/icons/telegram_outline.png"]),
  "tiktok": Social("Tik Tok", tiktokColor, whiteColor,
      ["assets/icons/tiktok.png", "assets/icons/tiktok_full.png", "assets/icons/tiktok_outline.png"]),
  "twitch": Social("Twitch", twitchColor, whiteColor,
      ["assets/icons/twitch.png", "assets/icons/twitch_full.png"]),
  "twitter": Social("Twitter", twitterColor, whiteColor,
      ["assets/icons/twitter.png", "assets/icons/twitter_full.png", "assets/icons/twitter_outline.png"]),
  "whatsapp": Social("WhatsApp", whatsappColor, whiteColor,
      ["assets/icons/whatsapp.png", "assets/icons/whatsapp_full.png", "assets/icons/whatsapp_outline.png"]),
  "yahoo": Social("Yahoo", yahooColor, whiteColor,
      ["assets/icons/yahoo.png", "assets/icons/yahoo_full.png", "assets/icons/yahoo_outline.png"]),
};